From: Andrey Albershteyn <aalbersh@redhat.com>
To: linux-xfs@vger.kernel.org
Cc: Andrey Albershteyn <aalbersh@kernel.org>
Subject: [PATCH v2 2/7] release.sh: add --kup to upload release tarball to kernel.org
Date: Wed, 22 Jan 2025 16:01:28 +0100 [thread overview]
Message-ID: <20250122-update-release-v2-2-d01529db3aa5@kernel.org> (raw)
In-Reply-To: <20250122-update-release-v2-0-d01529db3aa5@kernel.org>
Add kup support so that the maintainer can push the newly formed
release tarballs to kernel.org.
Signed-off-by: Andrey Albershteyn <aalbersh@kernel.org>
---
release.sh | 31 +++++++++++++++++++++++++++++++
1 file changed, 31 insertions(+)
diff --git a/release.sh b/release.sh
index b15ed610082f34928827ab0547db944cf559cef4..b036c3241b3f67bfb2435398e6a17ea4c6a6eebe 100755
--- a/release.sh
+++ b/release.sh
@@ -16,6 +16,30 @@ set -e
version=${PKG_MAJOR}.${PKG_MINOR}.${PKG_REVISION}
date=`date +"%-d %B %Y"`
+KUP=0
+
+help() {
+ echo "$(basename) - create xfsprogs release"
+ printf "\t[--kup|-k] upload final tarball with KUP\n"
+}
+
+while [ $# -gt 0 ]; do
+ case "$1" in
+ --kup|-k)
+ KUP=1
+ ;;
+ --help|-h)
+ help
+ exit 0
+ ;;
+ *)
+ >&2 printf "Error: Invalid argument\n"
+ exit 1
+ ;;
+ esac
+ shift
+done
+
echo "Cleaning up"
make realclean
rm -rf "xfsprogs-${version}.tar" \
@@ -52,4 +76,11 @@ gpg \
mv "xfsprogs-${version}.tar.asc" "xfsprogs-${version}.tar.sign"
+if [ $KUP -eq 1 ]; then
+ kup put \
+ xfsprogs-${version}.tar.gz \
+ xfsprogs-${version}.tar.sign \
+ pub/linux/utils/fs/xfs/xfsprogs/
+fi;
+
echo "Done. Please remember to push out tags using \"git push origin v${version}\""
--
2.47.0
next prev parent reply other threads:[~2025-01-22 15:02 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-22 15:01 [PATCH v2 0/7] Update release.sh Andrey Albershteyn
2025-01-22 15:01 ` [PATCH v2 1/7] release.sh: add signing and fix outdated commands Andrey Albershteyn
2025-01-22 15:01 ` Andrey Albershteyn [this message]
2025-01-28 17:35 ` [PATCH v2 2/7] release.sh: add --kup to upload release tarball to kernel.org Darrick J. Wong
2025-01-22 15:01 ` [PATCH v2 3/7] release.sh: update version files make commit optional Andrey Albershteyn
2025-01-28 17:38 ` Darrick J. Wong
2025-01-22 15:01 ` [PATCH v2 4/7] release.sh: generate ANNOUNCE email Andrey Albershteyn
2025-01-28 17:38 ` Darrick J. Wong
2025-01-22 15:01 ` [PATCH v2 5/7] Add git-contributors script to notify about merges Andrey Albershteyn
2025-01-28 17:43 ` Darrick J. Wong
2025-01-22 15:01 ` [PATCH v2 6/7] git-contributors: make revspec required and shebang fix Andrey Albershteyn
2025-01-28 17:44 ` Darrick J. Wong
2025-01-22 15:01 ` [PATCH v2 7/7] release.sh: use git-contributors to --cc contributors Andrey Albershteyn
2025-01-28 18:01 ` Darrick J. Wong
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20250122-update-release-v2-2-d01529db3aa5@kernel.org \
--to=aalbersh@redhat.com \
--cc=aalbersh@kernel.org \
--cc=linux-xfs@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox